DigitalOcean Spaces
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update DigitalOcean Spaces action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to DO Spaces",
"type": "DO_SPACES",
"input_type": "SCM_REPOSITORY",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/assets/",
"remote_path": "Home/www/",
"bucket_name": "buddy-tests",
"public_access": true,
"cache_control": "max-age=3600",
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
],
"integration": {
"identifier": "digitalocean"
}
}'STATUS200 OK